import { __decorate, __metadata } from "tslib";
import { Component } from '@angular/core';
import { SumService } from '../services/sum.service';
let SumComponent = class SumComponent {
    constructor(sumService) {
        this.sumService = sumService;
    }
    ngOnInit() {
        this.sumService.calculate(45, 78, 90, 674);
        this.sum = this.sumService.sum;
    }
};
SumComponent = __decorate([
    Component({
        selector: 'cmp-sum',
        template: "<div class=\"sum\">\n    <p>Somma</p>\n    <p>{{ sum }}</p>\n</div>",
        styles: [".sum p {\n  color: red; }\n"]
    }),
    __metadata("design:paramtypes", [SumService])
], SumComponent);
export { SumComponent };
//# sourceMappingURL=sum.component.js.map