import { __decorate } from "tslib";
import { Injectable } from '@angular/core';
let SumService = class SumService {
    /**
     * Calculates the sum.
     * @param addends Numbers to be added
     */
    calculate(...addends) {
        this.sum = 0;
        for (const addend of addends) {
            this.sum += addend;
        }
    }
};
SumService = __decorate([
    Injectable()
], SumService);
export { SumService };
//# sourceMappingURL=sum.service.js.map